com.rscja.deviceapi.interfaces

## Interface IFingerprintWithTLK1NC

- All Known Implementing Classes:
    FingerprintWithTLK1NC, FingerprintWithTLK1NC_mtk, FingerprintWithTLK1NC_qcom

      public interface IFingerprintWithTLK1NC

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `fingerCLEARTemplate()` 清空FLASH中指纹模板
    `boolean` | `fingerCLEARTemplateBuffer()` 清空指纹特征缓冲区
    `boolean` | `fingerDELTemplateBufferID(FingerprintWithTLK1NC.BufferEnum BufferID)` 删除内存中指定的模板
    `boolean` | `fingerDELTemplatePageID(int PageID)` 删除FLASH中指定的模板
    `boolean` | `fingerDOWNTemplateToBuffer(FingerprintWithTLK1NC.BufferEnum BufferID, byte[] templateData)` 下载指纹特征到指定的特征缓冲区中
    `boolean` | `fingerDOWNTemplateToFlashPage(int PageID, byte[] templateData)` 下载指纹特征到指定的Flash Page中
    `int` | `fingerGETImage()` 从采集器采集指纹图像并保存于 ImageBuffer 中
    `int` | `fingerGETTemplateCount()` 获取可存储的指纹模板数
    `boolean` | `fingerPKTemplate(int PageID, FingerprintWithTLK1NC.BufferEnum BufferID)` 精确比对指定特征缓冲区和指定的Flash Page中特征
    `boolean` | `fingerPKTemplate2(FingerprintWithTLK1NC.BufferEnum BufferID, int PageID)` 精确比对指定特征缓冲区和指定的Flash Page中特征
    `boolean` | `fingerPKTemplateBuffer(FingerprintWithTLK1NC.BufferEnum BufferID1, FingerprintWithTLK1NC.BufferEnum BufferID2)` 精确比对指定特征缓冲区中特征
    `boolean` | `fingerPKTemplatePage(int PageID1, int PageID2)` 精确比对指定Flash Page中特征
    `int` | `fingerSearchTemplate(FingerprintWithTLK1NC.BufferEnum BufferID, int templateIdStart, int templateIdEnd)` 下载一个特征到指定特征缓冲区，然后用此特征搜索指纹库中的模板
    `boolean` | `fingerStoreCharToBuffer(FingerprintWithTLK1NC.BufferEnum BufferID)` 生成指纹特征，存储在指定特征缓冲区
    `boolean` | `fingerStoreCharToFlashPage(int PageID)` 生成指纹特征，存储在Flash Page
    `byte[]` | `fingerUPTemplateFromBuffer(FingerprintWithTLK1NC.BufferEnum BufferID)` 上传指纹特征值，将指定缓冲区中的特征值上传到上位机
    `byte[]` | `fingerUPTemplateFromFlashPage(int PageID)` 上传指纹特征值，将指定Flash Page中的特征值上传到上位机
    `boolean` | `free()`
    `boolean` | `generateImg(byte[] data, java.lang.String filePath)`
    `java.lang.String` | `getVersion()`
    `boolean` | `init()`
    `void` | `startUPImage(FingerprintWithTLK1NC.IUPImageCallback callBack)` // * @param timeOut timeOut (unit:millisecond)

- - ### Method Detail

    - #### init

          boolean init()

    - #### free

          boolean free()

    - #### fingerGETImage

          int fingerGETImage()

      从采集器采集指纹图像并保存于 ImageBuffer 中
      Returns:
        返回-1，错误 ，返回非负数： 指纹图像质量评分, 范围：0~100

    - #### fingerStoreCharToBuffer

          boolean fingerStoreCharToBuffer(FingerprintWithTLK1NC.BufferEnum BufferID)

      生成指纹特征，存储在指定特征缓冲区
      Parameters:
        `BufferID` - 缓冲区ID
      Returns:
        true:成功 false:失败

    - #### fingerStoreCharToFlashPage

          boolean fingerStoreCharToFlashPage(int PageID)

      生成指纹特征，存储在Flash Page
      Parameters:
        `PageID` - Flash Page ID (0~127)
      Returns:
        true:成功 false:失败

    - #### fingerUPTemplateFromBuffer

          byte[] fingerUPTemplateFromBuffer(FingerprintWithTLK1NC.BufferEnum BufferID)

      上传指纹特征值，将指定缓冲区中的特征值上传到上位机
      Parameters:
        `BufferID` -
      Returns:
        返回指纹模板数据

    - #### fingerUPTemplateFromFlashPage

          byte[] fingerUPTemplateFromFlashPage(int PageID)

      上传指纹特征值，将指定Flash Page中的特征值上传到上位机
      Parameters:
        `PageID` - PageID(0~127)
      Returns:
        返回指纹模板数据

    - #### fingerDOWNTemplateToFlashPage

          boolean fingerDOWNTemplateToFlashPage(int PageID,
                                                byte[] templateData)

      下载指纹特征到指定的Flash Page中
      Parameters:
        `PageID` - PageID(0~127)
        `templateData` - 模板数据
      Returns:
        true:成功 false:失败

    - #### fingerDOWNTemplateToBuffer

          boolean fingerDOWNTemplateToBuffer(FingerprintWithTLK1NC.BufferEnum BufferID,
                                             byte[] templateData)

      下载指纹特征到指定的特征缓冲区中
      Parameters:
        `BufferID` -
        `templateData` - 模板数据
      Returns:
        true:成功 false:失败

    - #### fingerPKTemplateBuffer

          boolean fingerPKTemplateBuffer(FingerprintWithTLK1NC.BufferEnum BufferID1,
                                         FingerprintWithTLK1NC.BufferEnum BufferID2)

      精确比对指定特征缓冲区中特征
      Parameters:
        `BufferID1` -
        `BufferID2` -
      Returns:
        true:成功 false:失败

    - #### fingerPKTemplatePage

          boolean fingerPKTemplatePage(int PageID1,
                                       int PageID2)

      精确比对指定Flash Page中特征
      Parameters:
        `PageID1` -
        `PageID2` -
      Returns:
        true:成功 false:失败

    - #### fingerPKTemplate

          boolean fingerPKTemplate(int PageID,
                                   FingerprintWithTLK1NC.BufferEnum BufferID)

      精确比对指定特征缓冲区和指定的Flash Page中特征
      Parameters:
        `PageID` -
        `BufferID` -
      Returns:
        true:成功 false:失败

    - #### fingerPKTemplate2

          boolean fingerPKTemplate2(FingerprintWithTLK1NC.BufferEnum BufferID,
                                    int PageID)

      精确比对指定特征缓冲区和指定的Flash Page中特征
      Parameters:
        `PageID` -
        `BufferID` -
      Returns:
        true:成功 false:失败

    - #### fingerSearchTemplate

          int fingerSearchTemplate(FingerprintWithTLK1NC.BufferEnum BufferID,
                                   int templateIdStart,
                                   int templateIdEnd)

      下载一个特征到指定特征缓冲区，然后用此特征搜索指纹库中的模板
      Parameters:
        `BufferID` - Buffer id
        `templateIdStart` - 待搜索的起始 Template编号
        `templateIdEnd` - 待搜索的结束 Template编号
      Returns:
        返回模板编号

    - #### fingerDELTemplateBufferID

          boolean fingerDELTemplateBufferID(FingerprintWithTLK1NC.BufferEnum BufferID)

      删除内存中指定的模板
      Parameters:
        `BufferID` -
      Returns:
        返回指纹模板数据

    - #### fingerDELTemplatePageID

          boolean fingerDELTemplatePageID(int PageID)

      删除FLASH中指定的模板
      Parameters:
        `PageID` - PageID(0~127)
      Returns:
        返回指纹模板数据

    - #### fingerCLEARTemplate

          boolean fingerCLEARTemplate()

      清空FLASH中指纹模板
      Returns:

    - #### fingerCLEARTemplateBuffer

          boolean fingerCLEARTemplateBuffer()

      清空指纹特征缓冲区
      Returns:

    - #### fingerGETTemplateCount

          int fingerGETTemplateCount()

      获取可存储的指纹模板数
      Returns:

    - #### generateImg

          boolean generateImg(byte[] data,
                              java.lang.String filePath)

    - #### startUPImage

          void startUPImage(FingerprintWithTLK1NC.IUPImageCallback callBack)

      // * @param timeOut timeOut (unit:millisecond)

    - #### getVersion

          java.lang.String getVersion()